Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Class ExpressionSet

    java.lang.Object
      com.hp.hpl.jena.graph.query.ExpressionSet

    public class ExpressionSet

extends java.lang.Object

ExpressionSet: represent a set of (boolean) expressions ANDed together.

Author:
  kers

Constructor Summary
`ExpressionSet()` Initialise an expression set with no members.

Method Summary
`ExpressionSet` | `add(Expression e)` Answer this expressionset after e has been anded into it.
`boolean` | `isComplex()` Answer true iff this ExpressionSet is non-trivial (ie non-empty).
`java.util.Iterator` | `iterator()` Answer an iterator over all the Expressions in this ExpressionSet.
`ValuatorSet` | `prepare(VariableIndexes vi)` Answer a ValuatorSet which contains exactly the valuators for each Expression in this ExpressionSet, prepared against the VariableIndexes vi.
`java.lang.String` | `toString()` Answer a string representing this ExpressionSet for human consumption.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionSet

    public ExpressionSet()

  Initialise an expression set with no members.

Method Detail

### add

    public ExpressionSet add(Expression e)

  Answer this expressionset after e has been anded into it.

  Parameters:
    `e` - the expression to and into the set
  Returns:
    this ExpressionSet

### isComplex

    public boolean isComplex()

  Answer true iff this ExpressionSet is non-trivial (ie non-empty).

### prepare

    public ValuatorSet prepare(VariableIndexes vi)

  Answer a ValuatorSet which contains exactly the valuators for each Expression in this ExpressionSet, prepared against the VariableIndexes vi.

### iterator

    public java.util.Iterator iterator()

  Answer an iterator over all the Expressions in this ExpressionSet.

### toString

    public java.lang.String toString()

  Answer a string representing this ExpressionSet for human consumption.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP